gr::gsm::extract_immediate_assignment_impl Class Reference

`#include <extract_immediate_assignment_impl.h>`

Inheritance diagram for gr::gsm::extract_immediate_assignment_impl:

## Public Member Functions

virtual std::vector< int > | get_arfcn_ids ()
virtual std::vector< int > | get_frame_numbers ()
virtual std::vector< std::string > | get_channel_types ()
virtual std::vector< int > | get_timeslots ()
virtual std::vector< int > | get_subchannels ()
virtual std::vector< int > | get_tseqs ()
virtual std::vector< int > | get_hopping ()
virtual std::vector< int > | get_maios ()
virtual std::vector< int > | get_hsns ()
virtual std::vector< int > | get_arfcns ()
virtual std::vector< int > | get_timing_advances ()
virtual std::vector< std::string > | get_mobile_allocations ()
| extract_immediate_assignment_impl (bool print_immediate_assignments=false, bool ignore_gprs=false, bool unique_references=false)
| ~extract_immediate_assignment_impl ()

## Additional Inherited Members

Public Types inherited from gr::gsm::extract_immediate_assignment
typedef std::shared_ptr< extract_immediate_assignment > | sptr
Static Public Member Functions inherited from gr::gsm::extract_immediate_assignment
static sptr | make (bool print_immediate_assignments=false, bool ignore_gprs=false, bool unique_references=false)
| Return a shared_ptr to a new instance of gsm::extract_immediate_assignment.

## Constructor & Destructor Documentation

## extract_immediate_assignment_impl()

gr::gsm::extract_immediate_assignment_impl::extract_immediate_assignment_impl | ( | bool | print_immediate_assignments = false,
|  | bool | ignore_gprs = false,
|  | bool | unique_references = false )

## ~extract_immediate_assignment_impl()

gr::gsm::extract_immediate_assignment_impl::~extract_immediate_assignment_impl | ( |  | ) |

## Member Function Documentation

## get_arfcn_ids()

virtual std::vector< int > gr::gsm::extract_immediate_assignment_impl::get_arfcn_ids | ( |  | ) |

virtual

Implements gr::gsm::extract_immediate_assignment.

## get_arfcns()

virtual std::vector< int > gr::gsm::extract_immediate_assignment_impl::get_arfcns | ( |  | ) |

virtual

Implements gr::gsm::extract_immediate_assignment.

## get_channel_types()

virtual std::vector< std::string > gr::gsm::extract_immediate_assignment_impl::get_channel_types | ( |  | ) |

virtual

Implements gr::gsm::extract_immediate_assignment.

## get_frame_numbers()

virtual std::vector< int > gr::gsm::extract_immediate_assignment_impl::get_frame_numbers | ( |  | ) |

virtual

Implements gr::gsm::extract_immediate_assignment.

## get_hopping()

virtual std::vector< int > gr::gsm::extract_immediate_assignment_impl::get_hopping | ( |  | ) |

virtual

Implements gr::gsm::extract_immediate_assignment.

## get_hsns()

virtual std::vector< int > gr::gsm::extract_immediate_assignment_impl::get_hsns | ( |  | ) |

virtual

Implements gr::gsm::extract_immediate_assignment.

## get_maios()

virtual std::vector< int > gr::gsm::extract_immediate_assignment_impl::get_maios | ( |  | ) |

virtual

Implements gr::gsm::extract_immediate_assignment.

## get_mobile_allocations()

virtual std::vector< std::string > gr::gsm::extract_immediate_assignment_impl::get_mobile_allocations | ( |  | ) |

virtual

Implements gr::gsm::extract_immediate_assignment.

## get_subchannels()

virtual std::vector< int > gr::gsm::extract_immediate_assignment_impl::get_subchannels | ( |  | ) |

virtual

Implements gr::gsm::extract_immediate_assignment.

## get_timeslots()

virtual std::vector< int > gr::gsm::extract_immediate_assignment_impl::get_timeslots | ( |  | ) |

virtual

Implements gr::gsm::extract_immediate_assignment.

## get_timing_advances()

virtual std::vector< int > gr::gsm::extract_immediate_assignment_impl::get_timing_advances | ( |  | ) |

virtual

Implements gr::gsm::extract_immediate_assignment.

## get_tseqs()

virtual std::vector< int > gr::gsm::extract_immediate_assignment_impl::get_tseqs | ( |  | ) |

virtual

Implements gr::gsm::extract_immediate_assignment.

The documentation for this class was generated from the following file:

- extract_immediate_assignment_impl.h